kabc Library: KABC::VCardFormatPlugin Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::VCardFormatPlugin Class Reference

Interface of vCard backend for address book. More...

`#include <vcardformatplugin.h>`

Inheritance diagram for KABC::VCardFormatPlugin:

[legend]
Collaboration diagram for KABC::VCardFormatPlugin:

[legend]
List of all members.

## Public Member Functions
bool | load (Addressee &, QFile *file)
bool | loadAll (AddressBook *, Resource *, QFile *file)
void | save (const Addressee &, QFile *file)
void | saveAll (AddressBook *, Resource *, QFile *file)
bool | checkFormat (QFile *file) const

## Detailed Description

Interface of vCard backend for address book.

This class implements the file format interface of address book entries for the vCard format.

Definition at line 37 of file vcardformatplugin.h.

## Member Function Documentation

bool VCardFormatPlugin::load | ( | Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Load single addressee from file. Implements KABC::FormatPlugin. Definition at line 39 of file vcardformatplugin.cpp. References QValueList::first(), QValueList::isEmpty(), KABC::VCardConverter::parseVCards(), QTextStream::read(), and QTextStream::setEncoding().

bool VCardFormatPlugin::loadAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Load whole addressbook from file. Implements KABC::FormatPlugin. Definition at line 58 of file vcardformatplugin.cpp. References QValueList::begin(), QValueList::end(), KABC::VCardConverter::parseVCards(), QTextStream::read(), KABC::Addressee::setChanged(), QTextStream::setEncoding(), and KABC::Addressee::setResource().

void VCardFormatPlugin::save | ( | const Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Save a single Addressee to file. Implements KABC::FormatPlugin. Definition at line 81 of file vcardformatplugin.cpp. References QValueList::append(), KABC::VCardConverter::createVCards(), and QTextStream::setEncoding().

void VCardFormatPlugin::saveAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Save whole addressbook to file. Implements KABC::FormatPlugin. Definition at line 94 of file vcardformatplugin.cpp. References QValueList::append(), KABC::VCardConverter::createVCards(), and QTextStream::setEncoding().

bool VCardFormatPlugin::checkFormat | ( | QFile * | file | ) | const`[virtual]`

| Checks if given file contains the right format. Implements KABC::FormatPlugin. Definition at line 110 of file vcardformatplugin.cpp. References QString::stripWhiteSpace().

The documentation for this class was generated from the following files:

- vcardformatplugin.h
- vcardformatplugin.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003